Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.fdk.impl.ah
Class LocalizerAttributeHandler

    java.lang.Object
      oracle.ifs.fdk.impl.ah.ReadOnlyAttributeHandler
          oracle.ifs.fdk.impl.ah.MethodAttributeHandler
              oracle.ifs.fdk.impl.ah.LocalizerAttributeHandler

All Implemented Interfaces:
  AttributeHandler

    public class LocalizerAttributeHandler

extends MethodAttributeHandler

A MethodAttributeHandler for synthetic attributes whose values are retrieved by invoking accessor methods of the LibrarySession Localizer.

Field Summary

Fields inherited from class oracle.ifs.fdk.impl.ah.MethodAttributeHandler
`m_AllowedClasses, m_Class, m_Method, m_Parameters`

Constructor Summary
`LocalizerAttributeHandler(java.lang.String methodName)` Creates a new LocalizerAttributeHandler for the given Localizer accessor method.

Method Summary
`boolean` | `canHandle(AttributeHandlerContext context)` Returns true if repos object is an instanceof DirectoryUser.
`java.lang.Object` | `getValue(AttributeHandlerContext context)` Returns the value returned by the Localizer's accessor method registered for use by this instance.

Methods inherited from class oracle.ifs.fdk.impl.ah.ReadOnlyAttributeHandler
`canUpdate, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LocalizerAttributeHandler

    public LocalizerAttributeHandler(java.lang.String methodName)
                              throws java.lang.NoSuchMethodException

  Creates a new LocalizerAttributeHandler for the given Localizer accessor method.

  Parameters:
    `methodName` - the name of the Localizer method to invoke.
  Throws:
    `java.lang.NoSuchMethodException` - if the given method does not exist.

Method Detail

### canHandle

    public boolean canHandle(AttributeHandlerContext context)

  Description copied from class: `LocalizerAttributeHandler`
  Returns true if repos object is an instanceof DirectoryUser.

  Specified by:
    `canHandle` in interface `AttributeHandler`
  Overrides:
    `canHandle` in class `MethodAttributeHandler`
  Parameters:
    `context` - The context when this handler is called.

### getValue

    public java.lang.Object getValue(AttributeHandlerContext context)
                              throws FdkException

  Description copied from class: `LocalizerAttributeHandler`
  Returns the value returned by the Localizer's accessor method registered for use by this instance.

  Specified by:
    `getValue` in interface `AttributeHandler`
  Overrides:
    `getValue` in class `MethodAttributeHandler`
  Parameters:
    `context` - the context for this AttributeHandler.
  Returns:
    the return value of invoking the registered Localizer method.
  Throws:
    `FdkException` - if the operation fails.
    `IfsException` - if the operation fails.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD